#http反向代理

map $http_upgrade $connection_upgrade {
    default upgrade;
    ''      close;
}
upstream srv3 {
    # Connect IP:Port
    server 127.0.0.1:5200 weight=5 max_fails=3 fail_timeout=30s;
    keepalive 16;
}

server
{
    listen 80 ssl http2;
    server_name d.vxera.com;
    
    #ERROR-PAGE-START  错误页配置，可以注释、删除或修改
    #error_page 404 /404.html;
    #error_page 502 /502.html;
    #ERROR-PAGE-END


    #PROXY-START
    location / {
        proxy_http_version 1.1;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Real-PORT $remote_port;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header Host $http_host;
        proxy_set_header Scheme $scheme;
        proxy_set_header Server-Protocol $server_protocol;
        proxy_set_header Server-Name $server_name;
        proxy_set_header Server-Addr $server_addr;
        proxy_set_header Server-Port $server_port;
        proxy_set_header Upgrade $http_upgrade;
        proxy_set_header Connection $connection_upgrade;
        add_header Cache-Control no-store;
        proxy_pass http://srv3;
        
    }
    #PROXY-END

    #禁止访问的文件或目录
    location ~ ^/(\.user.ini|\.htaccess|\.git|\.svn|\.project|LICENSE|README.md)
    {
        return 404;
    }

    location ~ .*\.(gif|jpg|jpeg|png|bmp|swf)$
    {
        expires      30d;
        #error_log /dev/null;
        #access_log /dev/null;
    }

    location ~ .*\.(js|css)?$
    {
        expires      12h;
        #error_log /dev/null;
        #access_log /dev/null;
    }
    #access_log  /www/wwwlogs/127.0.0.1.log;
    #error_log  /www/wwwlogs/127.0.0.1.error.log;
}
